/* FRead.c   V1.2   93-03-03                   */
/* ROM library: "dos.library/FRead", (V36+)    */
/* Copyright 1993, Anders Bjerin, Amiga C Club */

#include <dos/dos.h>

#include <clib/dos_protos.h>
#include <stdio.h>
#include <stdlib.h>

#define BLOCK_SIZE 512
#define NO_BLOCKS   10

UBYTE *version = "$VER: FRead 1.2";

int main( int argc, char *argv[] );
int main( int argc, char *argv[] )
{
  UBYTE my_buffer[ NO_BLOCKS ][ BLOCK_SIZE ];
  BPTR my_file;
  LONG blocks_read;


  /* Open an old file: */
  my_file = Open( "RAM:Important.dat", MODE_OLDFILE );
  if( !my_file )
    exit( 21 );

  /* Clear the global error code: */
  SetIoErr( 0 );

  /* Read some data: */
  blocks_read = FRead( my_file, my_buffer, BLOCK_SIZE, NO_BLOCKS );

  /* OK? */
  if( blocks_read != NO_BLOCKS )
  {
    /* Not all data collected! EOF or Error? */
    if( IoErr() )
      printf( "Error while reading!\n" );
    else
      printf( "End Of File!\n" );
  }
  else
    printf( "The data was successsfully collected!\n" );

  Close( my_file );

  exit( 0 );
}

